Skip to main content
GET
/
logs
List logs
curl --request GET \
  --url https://api.prequel.co/logs \
  --header 'X-API-KEY: <api-key>'
{
  "status": "<string>",
  "data": {
    "event_logs": [
      {
        "id": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "resource_id": "<string>",
        "actor": {
          "actor_id": "<string>"
        },
        "previous_object": "<unknown>",
        "object": "<unknown>"
      }
    ]
  },
  "message": "<string>",
  "has_next": true,
  "next_url": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://import-docs.prequel.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Query Parameters

count
integer

Number of logs to return.

offset
integer

Offset of logs to return.

min_time
integer

Minimum timestamp of logs to return.

event_type
string

Type of event to filter logs by.

page_size
integer

Number of items to return per page.

order
enum<string>

Sort order for items

Available options:
asc,
desc
cursor
string

Used for pagination - represents last page seen. Value is included in response when there is a next page.

Response

OK

status
string
required
Allowed value: "success"
data
object
required
message
string
required
has_next
boolean
required

Whether there are more items beyond this page.

next_url
string

Full URL to fetch the next page. Only present when has_next is true.